#ifndef ATEOBUS_H
#define ATEOBUS_H

/*
** $VER: ateobus.h 3.0 (15.04.99)
**
** for use with ateobus.library 3.0
**
** (C) Copyright 1998-99 Ato Concepts SARL
**     All Rights Reserved
*/


#define ATEOBUS_SPACE 0x01
#define ISA_SPACE     0x02
#define IO_SPACE      0x10
#define MEMORY_SPACE  0x20

#define AC_IRQLEVELB    1
#define AC_IRQLEVELF    (1<<AC_IRQLEVELB)

struct AteoBusPrefs {
   char DeviceName[32];          /* key device */
   unsigned short int   Unit;    /* key unit */
   unsigned char  KeyType;       /* key type */
   unsigned char  Pad;
   unsigned short int   Version; /* file version, must be >= to the StratAteoBus version */
   };

/* --- KeyType ---- */
#define  KEY_HARD_DRIVE       0x80  /* si actif, la clef est base sur le disque dur, sinon sur ...*/
#define  KEY_UNKNOW           0x40


#endif /* ATEOBUS_H */
